module.exports = class DadJokeClient {
    constructor(userAgent = 'dadjoke.js/Production/v0.1.0') {
        this.userAgent = userAgent;
        this.snek = require('snekfetch');
        this.baseURL = require('../util/Constants').URL;
    }

    get() {
        return new Promise((resolve, reject) => {
            this.snek
                .get(this.baseURL)
                .set('Accept', 'application/json')
                .set('User-Agent', this.userAgent)
                .then((res) => resolve(res.body))
                .catch((err) => reject(err));
        });
    }
};